%define req_gconf2_version	1.1.1
%define req_orbit_version	2.9.0

%define pkgname gnome-vfs
%define api_version	2
%define lib_major	0
%define lib_name	%mklibname %{name}_ %{lib_major}

%if %mdkver >= 200610
%define enable_hal 1
%else
%define enable_hal 0
%endif

Summary:	GNOME virtual file-system libraries
Name:		%{pkgname}%{api_version}
Version: 2.18.0.1
Release: %mkrel 1
License:	LGPL
Group:		Graphical desktop/GNOME
URL:		http://www.gnome.org/
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{pkgname}/%{pkgname}-%{version}.tar.bz2
# (gw) 2.6.0-1mdk set default web browser
Patch5:		gnome-vfs-2.8.2-webclient.patch
# (fc) 2.8.2-1mdk handle about: url (Fedora)
Patch8:		gnome-vfs-2.7.90-schema_about_for_upstream.patch
# (fc) 2.8.3-5mdk support pamconsole mount option (Fedora)
Patch10:	gnome-vfs-2.8.1-console-mount-opt.patch
# (fc) 2.17.91-2mdv replace references to gnomemeeting with ekiga
Patch11:	gnome-vfs-2.17.91-fixh323.patch
# (fc) 2.17.91-3mdv allow OnlyShowIn=KDE .desktop to be used when running under KDE (Mdv bug #26999)
Patch12:	gnome-vfs-2.17.91-onlyshow.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	gawk
BuildRequires:  avahi-client-devel avahi-glib-devel
BuildRequires:  libacl-devel
%if %enable_hal
BuildRequires:  hal-devel >= 0.5
BuildRequires:  dbus-glib-devel
%endif
BuildRequires:  perl-XML-Parser
BuildRequires:  gnome-mime-data
BuildRequires:	libcdda-devel bzip2-devel openssl-devel fam-devel
BuildRequires:  libsmbclient-devel >= 3.0.20
BuildRequires:	libGConf2-devel >= %{req_gconf2_version}
BuildRequires:	libORBit2-devel >= %{req_orbit_version}
BuildRequires:  gtk-doc
BuildRequires:	intltool
BuildRequires:  glib2-devel >= 2.9.3
BuildRequires:  dbus-devel
BuildRequires:	libxml2-devel
Requires:	%{lib_name} = %{version}
Requires(post):	GConf2 >= %{req_gconf2_version}
Requires(preun):	GConf2 >= %{req_gconf2_version}
Requires:	dbus-x11
Conflicts:	libgnome2 <= 2.4.0
Requires:	shared-mime-info, libsmbclient
Requires:	mandrake_desk >= 10.1-6mdk
Obsoletes:	gnome-vfs-extras
Provides:	gnome-vfs-extras

%description
The GNOME Virtual File System provides an abstraction to common file
system operations like reading, writing and copying files, listing
directories and so on.  It is similar in spirit to the Midnight
Commander's VFS (as it uses a similar URI scheme) but it is designed
from the ground up to be extensible and to be usable from any
application.



%package -n %{lib_name}
Summary:	%{summary}
Group:		%{group}
Provides:	lib%{name} = %{version}-%{release}
Requires:	gnome-mime-data >= 2.0.0
Requires:   %{name} >= %{version}-%{release}
Conflicts: %{name} < 2.10.1-9mdk

%description -n %{lib_name}
The GNOME Virtual File System provides an abstraction to common file
system operations like reading, writing and copying files, listing
directories and so on.

This package contains the main GNOME VFS libraries, which is required
by the basic GNOME 2 system.


%package -n %{lib_name}-devel
Summary:	Libraries and include files for gnome-vfs
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}-%{release}
Requires:	libbonobo2_x-devel
Requires:   libGConf2-devel >= %{req_gconf2_version}

%description -n %{lib_name}-devel
The GNOME Virtual File System provides an abstraction to common file
system operations like reading, writing and copying files, listing
directories and so on.

This package includes libraries and header files for developing
GNOME VFS applications.


%prep
%setup -q -n %{pkgname}-%{version}
%patch5 -p1 -b .webclient
%patch8 -p1 -b .about
%patch10 -p1 -b .pamconsole
%patch11 -p1 -b .fixh323
%patch12 -p1 -b .onlyshow

%build

%configure2_5x --enable-gtk-doc=yes --disable-selinux \
%if %enable_hal
--enable-hal
%else
--disable-hal
%endif

%make

%install
rm -rf %{buildroot}
%makeinstall_std

# multiarch policy
%multiarch_includes $RPM_BUILD_ROOT%{_includedir}/gnome-vfs-2.0/libgnomevfs/gnome-vfs-file-size.h


# we ship our own files in drakconf and drakwizard
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/gnome-vfs-2.0/vfolders/{system,server}-settings.vfolder-info

# don't package these
rm -f %buildroot%{_libdir}/%{pkgname}-*/modules/*a

%{find_lang} %{pkgname}-2.0

%clean
rm -rf %{buildroot}

%define schemas desktop_default_applications desktop_gnome_url_handlers system_dns_sd system_http_proxy system_smb 

%post 
%post_install_gconf_schemas %schemas

%preun
%preun_uninstall_gconf_schemas %schemas

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%files -n %{name} -f %{pkgname}-2.0.lang
%defattr(-, root, root)
%doc AUTHORS NEWS README
%config(noreplace) %{_sysconfdir}/%{pkgname}-*
%config(noreplace) %{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%_datadir/dbus-1/services/*.service

%files -n %{lib_name}
%defattr(-, root, root)
%{_libdir}/lib*.so.*
%dir %{_libdir}/%{pkgname}-*
%dir %{_libdir}/%{pkgname}-*/modules
%{_libdir}/%{pkgname}-2.0/modules/*.so

%files -n %{lib_name}-devel
%defattr(-, root, root)
%doc ChangeLog
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/*
%{_libdir}/*.a
%attr(644,root,root) %{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/%{pkgname}-*/include
%{_libdir}/pkgconfig/*.pc


%changelog
* Tue Mar 13 2007 Götz Waschk <waschk@mandriva.org> 2.18.0.1-1mdv2007.1
+ Revision: 142334
- new version

* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 141696
- new version
- readd ChangeLog to the devel package

* Thu Mar 01 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.17.91-4mdv2007.1
+ Revision: 130687
- no need to package big ChangeLog when NEWS is already there

* Thu Mar 01 2007 Frederic Crozat <fcrozat@mandriva.com> 2.17.91-3mdv2007.1
+ Revision: 130457
- Patch12: unhide OnlyShowIn=KDE apps when running under KDE (Mdv bug #26999)

* Fri Feb 16 2007 Frederic Crozat <fcrozat@mandriva.com> 2.17.91-2mdv2007.1
+ Revision: 121659
- Patch11: fix callto and h323 uri to use ekiga, not GNOMEmeeting

* Mon Feb 12 2007 Götz Waschk <waschk@mandriva.org> 2.17.91-1mdv2007.1
+ Revision: 118913
- new version

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 2.17.90-1mdv2007.1
+ Revision: 111777
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix requires

* Tue Dec 19 2006 Götz Waschk <waschk@mandriva.org> 2.17.2-2mdv2007.1
+ Revision: 100346
- rebuild

* Tue Dec 19 2006 Götz Waschk <waschk@mandriva.org> 2.17.2-1mdv2007.1
+ Revision: 99163
- new version

* Mon Dec 18 2006 Götz Waschk <waschk@mandriva.org> 2.17.1-1mdv2007.1
+ Revision: 98426
- new version

* Fri Dec 01 2006 Götz Waschk <waschk@mandriva.org> 2.16.3-2mdv2007.1
+ Revision: 89567
- add missing build requires, enabling avahi and ACL support

* Wed Nov 22 2006 Götz Waschk <waschk@mandriva.org> 2.16.3-1mdv2007.1
+ Revision: 86208
- new version
- unpack patches

* Tue Nov 07 2006 Götz Waschk <waschk@mandriva.org> 2.16.2-1mdv2007.0
+ Revision: 77059
- new version
- drop patch 11
- Import gnome-vfs2




* Thu Oct  5 2006 Gtz Waschk <waschk@mandriva.org> 2.16.1-1mdv2007.0
- drop patches 12,13
- New version 2.16.1

* Fri Sep 15 2006 Frederic Crozat <fcrozat@mandriva.com> 2.16.0-4mdv2007.0
- Patch13: fix https crash (Mdv bug #347470)

* Wed Sep 13 2006 Frederic Crozat <fcrozat@mandriva.com> 2.16.0-3mdv2007.0
- Patch12 (CVS): various CVS fixes

* Thu Sep 07 2006 Frederic Crozat <fcrozat@mandriva.com> 2.16.0-2mdv2007.0
- Remove patches 12 (yelp supports man pages now) and 13 (no longer needed,
  causes crashes as bug #25319)
- Patch11: don't print warnings when no session bus is running

* Mon Sep  4 2006 Gtz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- drop patch 14
- New release 2.16.0

* Mon Aug 21 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.92-1mdv2007.0
- Release 2.15.92

* Tue Aug  8 2006 Gtz Waschk <waschk@mandriva.org> 2.15.91-1mdv2007.0
- fix buildrequires
- new version

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.90-5mdv2007.0
- Patch14: allow to disable selinux support

* Thu Aug 03 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.15.90-4mdv2007.0
- rebuild w/o selinux on x86_64

* Tue Aug 01 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.90-3mdv2007.0
- Rebuild with latest dbus

* Fri Jul 28 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.90-2mdv2007.0
- Fix buildrequires to requires avahi (not howl)

* Tue Jul 25 2006 Götz Waschk <waschk@mandriva.org> 2.15.90-1mdv2007.0
- New release 2.15.90

* Fri Jul 14 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.15.3-3
- add BuildRequires: libxml2-devel

* Tue Jul 11 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.3-2mdv2007.0
- Add missing dependency on dbus-x11
- fix buildrequires

* Tue Jul 11 2006 Gtz Waschk <waschk@mandriva.org> 2.15.3-1mdv2007.0
- drop bonobo dep
- update file list
- New release 2.15.3

* Mon Jun 12 2006 Götz Waschk <waschk@mandriva.org> 2.15.2-1mdv2007.0
- New release 2.15.2

* Thu Jun 01 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.1-1mdv2007.0
- Release 2.15.1

* Tue May 30 2006 Gtz Waschk <waschk@mandriva.org> 2.14.2-1mdv2007.0
- drop patch 14
- New release 2.14.2

* Fri May 19 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.1-2mdk
- Rebuild with latest hal

* Thu Apr 20 2006 Götz Waschk <waschk@mandriva.org> 2.14.1-1mdk
- New release 2.14.1

* Wed Apr 12 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.0-1mdk
- Release 2.14.0
- regenerate patches 14
- remove patches 7 (no longer needed), 16 (merged upstream)

* Thu Mar  2 2006 Gtz Waschk <waschk@mandriva.org> 2.12.2-6mdk
- rebuild with howl compat from avahi

* Mon Feb 27 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.2-5mdk
- Fortify package uninstall

* Thu Feb 23 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.2-4mdk
- Use mkrel
- Rename hal for cooker, hal 0.5.6 is requiring kernel >= 2.6.15

* Tue Jan 31 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.2-3mdk
- Disable hal support for now, 2.12.x doesn't like hal 0.5.6

* Wed Jan 25 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.2-2mdk
- Rebuild with latest dbus

* Tue Nov 29 2005 Gtz Waschk <waschk@mandriva.org> 2.12.2-1mdk
- drop merged patch 15
- New release 2.12.2

* Mon Nov 21 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1.1-5mdk
- Patch16 (Ubuntu): update french translation

* Thu Nov 17 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1.1-4mdk
- Patch15 (CVS): fix mime cache handling

* Thu Oct 27 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1.1-3mdk
- register missing schemas
- don't build with hal on 2006.0

* Wed Oct 26 2005 Gtz Waschk <waschk@mandriva.org> 2.12.1.1-2mdk
- enable hal

* Wed Oct  5 2005 Gtz Waschk <waschk@mandriva.org> 2.12.1.1-1mdk
- drop patch 17
- New release 2.12.1.1

* Tue Oct 04 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-1mdk
- Release 2.12.1
- Regenerate patches 7, 13 (gotz)
- Remove patches 15 & 16 (merged upstream)

* Mon Sep 19 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-9mdk 
- Move modules to lib package

* Mon Sep 05 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-8mdk 
- Patch17: fix build with samba 3.0.20

* Wed Aug 31 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-7mdk 
- Patch15 (CVS): use glib xdg function
- Patch16 (CVS): add support for mime subclass

* Mon Aug 08 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-6mdk 
- Drop patch15, not stable yet

* Thu Aug 04 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-5mdk 
- Patch15 (Federico): don't leak file descriptor when cancelling job
  (GNOME bug #123472)

* Thu Jun 09 2005 Buchan Milne <bgmilne@linux-mandrake.com> 2.10.1-4mdk
- Rebuild for libkrb53-devel 1.4.1

* Thu May 12 2005 Stefan van der Eijk <stefan@eijk.nu> 2.10.1-3mdk
- add Requires(post): Requires(preun): GConf2

* Fri Apr 29 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-2mdk 
- Patch14 : handle all % parameters (Mdk bug #15357)

* Tue Apr 19 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-1mdk 
- Release 2.10.1 (based on Gtz Waschk package)
- remove patches 9, 11 (merged upstream)

* Mon Apr 04 2005 Buchan Milne <bgmilne@linux-mandrake.com> 2.8.4-6mdk
- Rebuild for libsmbclient

* Thu Mar 17 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.4-5mdk 
- Patch13 (Ubuntu): handle better when mtab is modified while reading it

* Fri Mar 04 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.4-4mdk 
- Update patch11

* Wed Mar 02 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.4-3mdk 
- Patch12: disable yelp as man: helper

* Fri Feb 25 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.8.4-2mdk
- multiarch

* Mon Feb 21 2005 Götz Waschk <waschk@linux-mandrake.com> 2.8.4-1mdk
- New release 2.8.4

* Mon Feb 14 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.3-5mdk 
- Patch10 (Fedora): add support for pamconsole mount option
- Patch11 (Fedora): fix HAL support

* Tue Feb 08 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.3-4mdk 
- Patch9 (CVS): workaround broken icecast server (fix last.fm stream)

* Tue Jan 04 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.3-3mdk 
- Fix mDNS support (Mdk bug #12888)

* Mon Jan 03 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.3-2mdk 
- Rebuild with latest howl

* Tue Nov  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.3-1mdk
- drop merged patches 10,11,12
- drop patch 9
- New release 2.8.3

* Mon Oct 18 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-1mdk
- New release 2.8.2
- Update patch5 (use www-browser script)
- Remove patches 6 & 8 (merged upstream)
- Patch8 (Fedora): handle about: url
- Patch9 (Fedora): fix compilation with latest HAL
- Patch10 (Fedora): fix buffer reading
- Patch11 (Fedora): Handle several mtab changes in the same second
- Patch12: remove debug messages

* Thu Sep 30 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.2-7mdk
- Patch8: fix smb browsing (CVS)

* Fri Sep 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 2.6.2-6mdk
- Fix upgrade from MDK9.2 -> MDK 10.1 
	"Installation failed: libsmbclient.so.0 is needed by gnome-vfs2-2.6.2-5mdk"

* Thu Sep 09 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.2-5mdk
- Patch7: fix MIME type detection on locale encoded filename (Mdk bug #11026)

* Wed Sep  8 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.2-4mdk
- fix buildrequires

* Fri Aug 20 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.6.2-3mdk
- add BuildRequires: intltool

* Mon Aug 16 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.2-2mdk
- Patch6 (CVS): disable extfs, security fix

* Fri Aug 13 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.6.2-1mdk
- New release 2.6.2

* Wed Aug 11 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1.1-3mdk
- Enable litbtoolize

* Wed Apr 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1.1-2mdk
- Fix BuildRequires

* Tue Apr 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1.1-1mdk
- new version

* Mon Apr 19 2004 Goetz Waschk <goetz@mandrakesoft.com> 2.6.1-1mdk
- New release 2.6.1

* Mon Apr 05 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-2mdk
- Remove patch4, it is deadlocking

* Mon Apr 05 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-1mdk
- Release 2.6.0 (with Gtz help)
- Update patch 4 with original version from John McCutchan
- Remove patches 3 (tests are broken upstream) & 5 (merged upstream)
- Obsolete gnome-vfs-extra (smb merged, rio500 stuff dead and unmaintained)
- Patch5 (gw) : include patch from libgnome for the default web browser

* Tue Mar 09 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.2-4mdk
- Patch5 (CVS): various bug fixes, including panel crashes and ssl

* Fri Jan 30 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.2-3mdk
- Patch4: don't monitor files on read-only devices

* Fri Jan 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.4.2-2mdk
- fix buildrequires

* Tue Jan 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.2-1mdk
- Release 2.4.2

* Fri Nov 07 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.1-1mdk
- Release 2.4.1

* Mon Sep 08 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-1mdk
- Release 2.4.0

* Thu Sep 04 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.90-2mdk
- Fix BuildRequires

* Tue Sep 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.90-1mdk
- Release 2.3.90
- Remove patch 4 (merged upstream)

* Tue Sep 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.8-3mdk
- Update patch 4 and apply it this time (I know, I s*ck :) 

* Mon Sep 01 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.8-2mdk
- Patch4 : fix 100% cpu when updating mime types files

* Mon Aug 25 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.8-1mdk
- Release 2.3.8

* Wed Aug 13 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.3.7-2mdk
- Fix deps

* Mon Aug 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.7-1mdk
- Release 2.3.7

* Mon Aug  4 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.6-1mdk
- Release 2.3.6
- Remove patch 4 (merged upstream)

* Mon Jul 28 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.5-2mdk
- Patch4 (CVS): fix compilation with gcc 3.3 (bug #4362)

* Thu Jul 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.5-1mdk
- Release 2.3.5

* Wed Jun 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.4-1mdk
- Release 2.3.4

* Wed Jun 04 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.3-1mdk
- Release 2.3.3

* Tue Jun 03 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.2-1mdk
- Release 2.3.2

* Wed May 07 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.1-1mdk
- Release 2.3.1

* Wed Apr 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.2.4-1mdk
- Release 2.2.4

* Fri Feb 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.2-1mdk
- Release 2.2.2

* Mon Feb 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.1-1mdk
- Release 2.2.1 (fix bug 993)

* Tue Jan 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-1mdk
- Release 2.2.0

* Wed Jan 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.91-2mdk
- Recompiled against latest openssl

* Tue Jan 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.91-1mdk
- Release 2.1.91

* Mon Jan  6 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.6-1mdk
- Release 2.1.6
- Remove patch2 (merged upstream)

* Fri Dec 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-2mdk
- Recompiled against latest glibc

* Wed Dec 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-1mdk
- Release 2.1.5

* Tue Dec 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.4-1mdk
- Release 2.1.4
- Remove patch4 (merged upstream)

* Thu Dec  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.3.1-2mdk
- Patch4: ensure user mime dir exists before monitoring it

* Fri Nov 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.3.1-1mdk
- Release 2.1.3.1

* Wed Nov 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.3-1mdk
- Release 2.1.3

* Thu Oct 31 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.4-1mdk
- Release 2.0.4
- Disable make check, it is not working at the moment
- Remove patch1 (merged upstream)
- Regenerate patches 2 & 3
- Drop patch0, "dynamic desktop" will be reimplemented at nautilus level

* Fri Sep 27 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.2-6mdk
- Patch2: Make it lib64-aware
- Patch3: Make it check'able enough

* Thu Aug 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2-5mdk
- Patch1: use vfolder method for server-settings: and system-settings:

* Tue Aug 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2-4mdk
- Fix patch0 to prevent the disappering directories on nautilus desktop

* Tue Aug 13 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.2-3mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.2-2mdk
- Automated rebuild with gcc3.2

* Wed Jul 24 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2-1mdk
- Release 2.0.2
- Remove patches 1 & 2 (merged upstream)

* Thu Jul 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-5mdk
- Patch2: fix ssh-method letting zombie process

* Thu Jul 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-4mdk
- Update patch0 for gnome_vfs_uri_get_local_path for desktop: uri

* Tue Jul  9 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-3mdk
- Update patch0 to fix moving files, directory monitoring and 
  nautilus gconf key monitoring

* Thu Jul  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-2mdk
- Patch0: add support for desktop uri
- Patch1: fix monitoring of applications: uri

* Mon Jun 24 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-1mdk
- Release 2.0.1

* Fri Jun 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-1mdk
- Fix dependencies

* Wed Jun 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-1mdk
- Release 2.0.0

* Wed Jun  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.17-1mdk
- Release 1.9.17

* Tue Jun  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.16-2mdk
- Rebuilt against libbonobo 2.0.0

* Tue Jun  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.16-1mdk
- Release 1.9.16

* Wed May 29 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.9.15-2mdk
- Automated rebuild with gcc 3.1-1mdk

* Fri May 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.15-1mdk
- Release 1.9.15
- Remove patch 0 (merged upstream)

* Tue Apr 30 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.14-1mdk
- Release 1.9.14

* Mon Apr 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.12-1mdk
- Release 1.9.12
- Remove patch1 (merged upstream)

* Fri Apr 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.11-1mdk
- Release 1.9.11
- Update patch0 (partially merged upstream)
- Patch1 (CVS): fix compilation with latest version of libbonobo

* Wed Mar 27 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.10-3mdk
- Add missing dependency

* Fri Mar 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.10-2mdk
- Update patch0 to fix documentation parallel installation

* Fri Mar 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.10-1mdk
- First official Mdk package (based on Abel Cheung work)
- Patch0: fix parallel installation 

* Mon Mar 18 2002 Abel Cheung <maddog@linux.org.hk> 1.9.10-1mdk
- 1.9.10

* Sun Jan 13 2002 Abel Cheung <maddog@linux.org.hk> 1.9.4-3mdk
- Corrected Requires for devel

* Tue Jan  8 2002 Abel Cheung <maddog@linux.org.hk> 1.9.4-2mdk
- Add gtkdoc stuff back
- enable_gtkdoc variable to toggle rebuilding gtkdoc stuff
- Use makeinstall_std

* Sat Dec  8 2001 Abel Cheung <maddog@linux.org.hk> 1.9.4-1mdk
- 1.9.4
- Remove unused .la files from devel package
- Eliminate usage of "usecvs" macros
- Turn on more verbose warnings
- Use make install DESTDIR=...
- Use configure2_5x to specify build,host,target
- Fix dependencies

* Sun Nov 25 2001 Abel Cheung <maddog@linux.org.hk> 1.9.3-3mdk
- Add missing include files

* Sun Nov 25 2001 Abel Cheung <maddog@linux.org.hk> 1.9.3-2mdk
- Removed unnecessary dependencies
- Fixed previous changelog

* Mon Nov 25 2001 Abel Cheung <maddog@linux.org.hk> 1.9.3-1mdk
- 1.9.3
- desktop-vfs-module shouldn't be included at all
- Modified Group
- Eliminate files that duplicates with gnome-mime-data as well
- Requires: gnome-mime-data
- Packages renamed to libgnome-vfs2_$major, ditto for devel package

* Wed Oct 31 2001 Abel Cheung <maddog@linux.org.hk> 1.9.1-0.1mdk
- 1.9.1
- "enable_desktop" variable to toggle whether desktop-vfs-module should
  be used, disabled by default
- Patch1 is not needed anymore
- Several files disable because of conflict between gnome-vfs 1 and 2
- Remove static modules out of file list
- Hack to allow compiling with gtk 1.3.10

* Fri Sep 28 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0.2-3mdk 
- BuildRequires: libbzip2-devel
- Removed redundant BuildRequires
- fix Pablo's changelog entry

* Wed Sep 19 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0.2-2mdk
- changed menu-methods to produce utf-8 files (now Gnome supports it and
  it solves a lot of charset problems)

* Wed Sep 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-1mdk
- Release 1.0.2
- Remove patches 0, 2 (merged upstream)

* Wed Aug 29 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-5mdk
- Patch 1: add .desktop magic detection
- Patch 2: fix segfault
- Source3 : add desktop-vfs-module from Rawhide

* Mon Aug 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-4mdk
- Fix menu method to run only as root

* Mon Aug  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-3mdk
- Add support for mimetype using menu

* Thu Aug  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-2mdk
- Patch0: Fix detection of koffice files

* Mon May 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-1mdk
- Release 1.0.1

* Fri Mar 23 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-2mdk
- Remove Build depencency on control-center-devel (it is no longer needed)

* Tue Mar 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-1mdk
- Release 1.0

* Wed Feb 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.2-1mdk
- Release 0.6.2
- Clean spec

* Mon Feb  5 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-1mdk
- Release 0.5
- Force rebuilding of xml-i18n-tools 

* Tue Jan 23 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.2-7mdk
- Recompiled with oaf 0.6.2

* Thu Jan  4 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.2-6mdk
- Correct dependency
- Move gnome-vfs-config to devel package

* Mon Dec  4 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.2-5mdk
- Correct dependencies (and make dadou happy)

* Tue Nov 28 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.2-4mdk
- Correct BuildRequires and Requires 

* Fri Nov 24 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.2-3mdk
- merge spec from Stefan van der Eijk <s.vanderiejk@chello.nl> :
		Correct BuildRequires (remove old ones, and organize)

* Tue Nov 21 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.2-2mdk
- Correct BuildRequires

* Mon Nov 20 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.2-1mdk
- Release 0.4.2
- Put libraries in separate package

* Mon Oct 16 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.3.1-7mdk
- added requirements on GConf, control-center and others

* Mon Oct 16 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.3.1-6mdk
- rebuilded with libxml instead of libxml2

* Mon Oct 16 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.3.1-5mdk
- added *.so in devel package

* Wed Sep  6 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.1-4mdk
- Rebuild with new version of rpm macros (fix bad rpath)

* Wed Aug 30 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.1-3mdk
- Add more files to packages

* Tue Aug 29 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.1-2mdk
- Move .so files to main package until libraries are correctly build

* Wed Aug 23 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.1-1mdk
- Release 0.3.1

* Mon Aug 21 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3-1mdk
- Release 0.3
- Remove obsolete patch

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.2-2mdk
- automatically added BuildRequires

* Thu Aug  3 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2-1mdk
- first Mandrake package : BM + macroszification
- patch to correctly install libgnomevfs/gnome-vfs-file-size.h

* Tue Feb 22 2000 Ross Golder <rossigee@bigfoot.com>
- Integrate into source tree
